Skip to main content
POST
/
v1
/
connect
/
projects
cURL
curl --request POST \
  --url https://api.pipedream.com/v1/connect/projects \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "app_name": "<string>",
  "support_email": "jsmith@example.com",
  "connect_require_key_auth_test": true
}
'
{
  "id": "<string>",
  "name": "<string>",
  "app_name": "<string>",
  "support_email": "jsmith@example.com",
  "connect_require_key_auth_test": true
}

Authorizations

Authorization
string
header
required

A short-lived OAuth access token for server-side requests. Generate one via the Generate OAuth Token flow or automatically when initializing the SDK client.

Body

application/json
name
string
required

Name of the project

app_name
string

Display name for the Connect application

support_email
string<email>

Support email displayed to end users

connect_require_key_auth_test
boolean

Send a test request to the upstream API when adding Connect accounts for key-based apps

Response

project created

Project that can be accessed via the Connect API

id
string
required

Hash ID for the project

Pattern: ^proj_[0-9A-Za-z]+$
name
string
required

Display name of the project

app_name
string | null

App name shown to Connect users

support_email
string<email> | null

Support email configured for the project

connect_require_key_auth_test
boolean

Send a test request to the upstream API when adding Connect accounts for key-based apps